package jp.sourceforge.talisman.mds.cluster;

/*
 * $Id: ClusteringMethod.java 90 2008-06-28 02:25:49Z tama3 $
 */

import jp.sourceforge.talisman.mds.CalculationFailException;
import jp.sourceforge.talisman.mds.Item;
import jp.sourceforge.talisman.mds.distance.ItemDistanceCalculator;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $
 */
public interface ClusteringMethod{
    public Cluster[] clustering(Item[] items, ClusteringParameter param) throws CalculationFailException;

    public Cluster[] clustering(Item[] items) throws CalculationFailException;

    public ItemDistanceCalculator getDistanceCalculator();
}
