package jp.sourceforge.talisman.mds.cluster;

/*
 * $Id: NonHierarchicalClusteringParameter.java 91 2008-06-28 03:16:44Z tama3 $
 */

import jp.sourceforge.talisman.mds.Item;
import jp.sourceforge.talisman.mds.distance.ItemDistanceCalculator;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 91 $ 
 */
public class NonHierarchicalClusteringParameter extends ClusteringParameter{
    public NonHierarchicalClusteringParameter(int numberOfCluster){
        setNumberOfCluster(numberOfCluster);
    }

    public NonHierarchicalClusteringParameter(int numberOfCluster, ItemDistanceCalculator id){
        setNumberOfCluster(numberOfCluster);
        setDistanceCalculator(id);
    }

    @Override
    public boolean isValid(Item[] items){
        return items.length >= getNumberOfCluster() &&
        getDistanceCalculator() != null;
    }
}
