package jp.sourceforge.talisman.mds.ui.mark;

/*
 * $Id: StarDrawer.java 90 2008-06-28 02:25:49Z tama3 $
 */

import java.awt.Shape;
import java.awt.geom.GeneralPath;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
public class StarDrawer extends LineMarkDrawer{
    public StarDrawer(){
    }

    @Override
    public Shape getPlainShape(double x, double y){
        GeneralPath path = new GeneralPath();
        path.moveTo((float)x - 2f, (float)y + 2f); path.lineTo((float)x + 2f, (float)y - 2f);
        path.moveTo((float)x + 2f, (float)y + 2f); path.lineTo((float)x - 2f, (float)y - 2f);
        path.moveTo((float)x,      (float)y + 2f); path.lineTo((float)x,      (float)y - 2f);
        path.moveTo((float)x - 2f, (float)y);      path.lineTo((float)x + 2f, (float)y);

        return path;
    }

    @Override
    public Shape getOveredShape(double w, double h){
        return getPlainShape(w, h);
    }
}
