package jp.sourceforge.talisman.mds.ui.swing;

/*
 * $Id: ItemsSelectionEvent.java 90 2008-06-28 02:25:49Z tama3 $
 */

import java.util.ArrayList;
import java.util.EventObject;
import java.util.List;

import jp.sourceforge.talisman.mds.Item;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
public class ItemsSelectionEvent extends EventObject{
    private static final long serialVersionUID = 9103831177346741974L;

    private List<Item> list = new ArrayList<Item>();

    public ItemsSelectionEvent(MdsPane source, Item c){
        this(source, new Item[] { c, });
    }

    public ItemsSelectionEvent(MdsPane source, Item[] c){
        super(source);
        for(int i = 0; i < c.length; i++){
            list.add(c[i]);
        }
    }

    public Item[] getSelectedItems(){
        return list.toArray(new Item[list.size()]);
    }
}
