package jp.sourceforge.talisman.mds.ui.swing;

/*
 * $Id$
 */

import java.awt.Color;

import jp.sourceforge.talisman.mds.cluster.Cluster;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision$ 
 */
class PaintedCluster extends Cluster{
    private static final long serialVersionUID = -5741337035582032781L;

    private Color color;

    public PaintedCluster(Cluster cluster){
        super(cluster);
    }

    public PaintedCluster(Cluster cluster, Color initialColor){
        super(cluster);
        setColor(initialColor);
    }

    public void setColor(Color color){
        if(color == null){
            throw new NullPointerException();
        }
        this.color = color;
    }

    public Color getColor(){
        return color;
    }
}
