package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: ClockwiseRotateAction.java 158 2008-07-15 10:45:01Z tama3 $
 */

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jp.sourceforge.talisman.mds.ui.swing.MdsPane;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 158 $ 
 */
public class ClockwiseRotateAction extends AbstractAction{
    private static final long serialVersionUID = -3414348061631591556L;

    private MdsPane mds;

    public ClockwiseRotateAction(MdsPane mds){
        super(mds.getMessages().get("rotate.clockwise.label"), mds.getMessages().getIcon("rotate.clockwise.icon"));
        this.mds = mds;
        if(mds.getMessages().hasValue("rotate.clockwise.tooltip")){
            putValue(SHORT_DESCRIPTION, mds.getMessages().get("rotate.clockwise.tooltip"));
        }
    }

    public void actionPerformed(ActionEvent arg0){
        mds.rotate(Math.PI / 2d);
    }
}
