package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: LabelsShowAction.java 94 2008-07-02 09:16:32Z tama3 $
 */

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.AbstractButton;

import jp.sourceforge.talisman.mds.ui.swing.MdsViewerPane;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 94 $ 
 */
public class LabelsShowAction extends AbstractAction{
    private static final long serialVersionUID = -8779646497586883784L;

    private MdsViewerPane viewer;

    public LabelsShowAction(MdsViewerPane viewer){
        super(viewer.getMessages().get("show.labels.label"));
        this.viewer = viewer;
    }

    public void actionPerformed(ActionEvent e){
        AbstractButton o = (AbstractButton)e.getSource();
        viewer.getSetting().setShowLabels(o.isSelected());
    }
}
