package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: ZoomInAction.java 158 2008-07-15 10:45:01Z tama3 $
 */

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jp.sourceforge.talisman.i18n.MessageManager;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 158 $ 
 */
public class ZoomInAction extends AbstractAction{
    private static final long serialVersionUID = 445562293718912259L;

    private ZoomEnabler zoomEnabler;

    public ZoomInAction(ZoomEnabler zoomEnabler, MessageManager mm){
        super(mm.getMessages().get("zoom.in.label"), mm.getMessages().getIcon("zoom.in.icon"));
        this.zoomEnabler = zoomEnabler;
        if(mm.getMessages().hasValue("zoom.in.tooltip")){
            putValue(SHORT_DESCRIPTION, mm.getMessages().get("zoom.in.tooltip"));
        }
    }

    public void actionPerformed(ActionEvent e){
        zoomEnabler.zoomIn();
    }
}
