package jp.sourceforge.talisman.mds;

/*
 * $Id: CalculationFailExceptionTest.java 91 2008-06-28 03:16:44Z tama3 $
 */

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 91 $
 */
public class CalculationFailExceptionTest{
    private CalculationFailException exception;

    @Before
    public void initialize(){
        
    }

    @Test
    public void testConstructor1(){
        exception = new CalculationFailException();

        Assert.assertNull(exception.getMessage());
        Assert.assertNull(exception.getCause());
    }

    @Test
    public void testConstructor2(){
        exception = new CalculationFailException("message");

        Assert.assertEquals("message", exception.getMessage());
        Assert.assertNull(exception.getCause());
    }

    @Test
    public void testConstructor3(){
        Exception cause = new Exception();
        exception = new CalculationFailException(cause);

        Assert.assertSame(cause, exception.getCause());
        Assert.assertEquals("java.lang.Exception", exception.getMessage());
    }

    @Test
    public void testConstructor4(){
        Exception cause = new Exception();
        exception = new CalculationFailException("message", cause);

        Assert.assertEquals("message", exception.getMessage());
        Assert.assertSame(cause, exception.getCause());
    }
}
