package jp.sourceforge.talisman.mds.distance;

/*
 * $Id: ClusterDistanceCalculator.java 104 2008-07-08 02:40:39Z tama3 $
 */

import jp.sourceforge.talisman.mds.cluster.Cluster;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 104 $ 
 */
public interface ClusterDistanceCalculator{
    public ItemDistanceCalculator getItemDistanceCalculator();

    public void setItemDistanceCalculator(ItemDistanceAlgorithm algorithm);

    public void setItemDistanceCalculator(ItemDistanceCalculator idc);

    public double calculate(Cluster c1, Cluster c2);

    public ClusterDistanceAlgorithm getAlgorithm();

    public double update(Cluster ci, Cluster cj, Cluster ck, double dij, double dik, double djk);
}
