package jp.sourceforge.talisman.mds.distance;

/*
 * $Id: ItemDistanceCalculator.java 90 2008-06-28 02:25:49Z tama3 $
 */

import jp.sourceforge.talisman.mds.Item;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
public interface ItemDistanceCalculator{
    public double calculate(Item x, Item y);

    public double calculate(Item x, Item y, int length);

    public double calculate(double[] x, double[] y);

    public ItemDistanceAlgorithm getAlgorithm();
}
