package jp.sourceforge.talisman.mds.ui.mark;

/*
 * $Id: RectangleDrawer.java 90 2008-06-28 02:25:49Z tama3 $
 */

import java.awt.Shape;
import java.awt.geom.Rectangle2D;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
public class RectangleDrawer extends AbstractMarkDrawer{

    public RectangleDrawer(){
        super();
    }

    public RectangleDrawer(boolean fill){
        super(fill);
    }

    @Override
    public Shape getPlainShape(double x, double y){
        return new Rectangle2D.Double(x - 2d, y - 2d, 4d, 4d);
    }

    @Override
    public Shape getOveredShape(double x, double y){
        return new Rectangle2D.Double(x - 3d, y - 3d, 6d, 6d);
    }
}
