package jp.sourceforge.talisman.mds.ui.mark;

/*
 * $Id: UpperTriangleDrawer.java 90 2008-06-28 02:25:49Z tama3 $
 */

import java.awt.Shape;
import java.awt.geom.GeneralPath;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
public class UpperTriangleDrawer extends AbstractMarkDrawer{

    public UpperTriangleDrawer(){
        super();
    }

    public UpperTriangleDrawer(boolean fill){
        super(fill);
    }

    @Override
    public Shape getPlainShape(double x, double y){
        GeneralPath path = new GeneralPath();
        path.moveTo((float)x - 2f, (float)y - 1f);
        path.lineTo((float)x + 2f, (float)y - 1f);
        path.lineTo((float)x,      (float)y + 2f);
        path.lineTo((float)x - 2f, (float)y - 1f);

        return path;
    }

    @Override
    public Shape getOveredShape(double x, double y){
        GeneralPath path = new GeneralPath();
        path.moveTo((float)x - 3f, (float)y - 1.5f);
        path.lineTo((float)x + 3f, (float)y - 1.5f);
        path.lineTo((float)x,      (float)y + 3f);
        path.lineTo((float)x - 3f, (float)y - 1.5f);

        return path;
    }

}
