package jp.sourceforge.talisman.mds.ui.mark;

/*
 * $Id: XMarkDrawer.java 90 2008-06-28 02:25:49Z tama3 $
 */

import java.awt.Shape;
import java.awt.geom.GeneralPath;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
public class XMarkDrawer extends LineMarkDrawer{
    public XMarkDrawer(){
    }

    @Override
    public Shape getPlainShape(double x, double y){
        GeneralPath path = new GeneralPath();
        path.moveTo((float)x - 3f, (float)y - 3f);
        path.lineTo((float)x + 3f, (float)y + 3f);
        path.moveTo((float)x - 3f, (float)y + 3f);
        path.lineTo((float)x + 3f, (float)y - 3f);

        return path;
    }

    @Override
    public Shape getOveredShape(double y, double x){
        return getPlainShape(x, y);
    }
}
