package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: AntiClockwiseRotateAction.java 158 2008-07-15 10:45:01Z tama3 $
 */

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jp.sourceforge.talisman.mds.ui.swing.MdsPane;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 158 $ 
 */
public class AntiClockwiseRotateAction extends AbstractAction{
    private static final long serialVersionUID = -4292437496962402485L;

    private MdsPane mds;

    public AntiClockwiseRotateAction(MdsPane mds){
        super(mds.getMessages().get("rotate.anticlockwise.label"), mds.getMessages().getIcon("rotate.anticlockwise.icon"));
        this.mds = mds;
        if(mds.getMessages().hasValue("rotate.anticlockwise.tooltip")){
            putValue(SHORT_DESCRIPTION, mds.getMessages().get("rotate.anticlockwise.tooltip"));
        }
    }

    public void actionPerformed(ActionEvent arg0){
        mds.rotate(3 * Math.PI / 2d);
    }
}
