package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: HorizontalFlipAction.java 158 2008-07-15 10:45:01Z tama3 $
 */

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jp.sourceforge.talisman.mds.ui.swing.MdsPane;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 158 $ 
 */
public class HorizontalFlipAction extends AbstractAction{
    private static final long serialVersionUID = -251259385435024438L;

    private MdsPane mds;

    public HorizontalFlipAction(MdsPane mds){
        super(mds.getMessages().get("horizontal.flip.label"), mds.getMessages().getIcon("horizontal.flip.icon"));
        this.mds = mds;
        if(mds.getMessages().hasValue("horizontal.flip.tooltip")){
            putValue(SHORT_DESCRIPTION, mds.getMessages().get("horizontal.flip.tooltip"));
        }
    }

    public void actionPerformed(ActionEvent arg0){
        mds.mirrorX();
    }
}
