package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: UneditableDefaultTableModel.java 90 2008-06-28 02:25:49Z tama3 $
 */

import java.util.Vector;

import javax.swing.table.DefaultTableModel;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 90 $ 
 */
class UneditableDefaultTableModel extends DefaultTableModel{
    private static final long serialVersionUID = 2712859259793586554L;

    public UneditableDefaultTableModel(){
        super();
    }

    public UneditableDefaultTableModel(int rowCount, int columnCount){
        super(rowCount, columnCount);
    }

    public UneditableDefaultTableModel(Object[] columnNames, int rowCount){
        super(columnNames, rowCount);
    }

    public UneditableDefaultTableModel(Object[][] data, Object[] columnNames){
        super(data, columnNames);
    }

    @SuppressWarnings("unchecked")
    public UneditableDefaultTableModel(Vector columnNames, int rowCount){
        super(columnNames, rowCount);
    }

    @SuppressWarnings("unchecked")
    public UneditableDefaultTableModel(Vector data, Vector columnNames){
        super(data, columnNames);
    }

    @Override
    public boolean isCellEditable(int row, int col){
        return false;
    }
}
