package jp.sourceforge.talisman.mds.ui.swing.actions;

/*
 * $Id: VerticalFlipAction.java 158 2008-07-15 10:45:01Z tama3 $
 */

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jp.sourceforge.talisman.mds.ui.swing.MdsPane;

/**
 * 
 * @author Haruaki Tamada
 * @version $Revision: 158 $ 
 */
public class VerticalFlipAction extends AbstractAction{
    private static final long serialVersionUID = 3012086110222069852L;

    private MdsPane mds;

    public VerticalFlipAction(MdsPane mds){
        super(mds.getMessages().get("vertical.flip.label"), mds.getMessages().getIcon("vertical.flip.icon"));
        this.mds = mds;
        if(mds.getMessages().hasValue("vertical.flip.tooltip")){
            putValue(SHORT_DESCRIPTION, mds.getMessages().get("vertical.flip.tooltip"));
        }
    }

    public void actionPerformed(ActionEvent arg0){
        mds.mirrorY();
    }
}
